MySql和SqlServer混合使用,使用的类库应该是哪个? 返回

SqlSugar
9 112

需要同时连接阿里MySql8.0和SqlServer2008这2个库,引用SqlSugarCore.MySqlConnector - 5.0.3.8版本可以吗?



图片.png

热忱回答9

  • 这个库一样的支持多库

    0 回复
  • 和sqlsugarscope支持的一样的唯一是MYSQL驱动不同

    0 回复
  • 没用MySql的话,就用SqlSugarCore,一旦用了MySql的话就切换成SqlSugarCore.MySqlConnector,是这样子嘛?

    0 回复
  • @fate sta:我现在是用SqlSugarCore连接SqlServer和MySql都正常,但是看了官方文档说是请用SqlSugarCore.MySqlConnector,我就替换了,替换之后MySql一直提示有个表无效,所以才来问下区别的

    0 回复
  • @fate sta:请问下,SqlSugarCore.MySqlConnector这个对MySql数据库的版本有要求嘛我现在是MySql8.0

    0 回复
  • @三 颗 猫饼:没有要求,用这个的时候一定要把sqlsugarcore卸载掉

    0 回复
  • @fate sta:是卸载了的。我现在SqlServer2008和MySql8.0,用SqlSugarCore5.0.3.7正常使用,但是使用SqlSugarCore.MySqlConnector5.0.3.3就会提示MySql中有张表无效。

    0 回复
  • @fate sta:有个问题,就是您推荐我们使用SqlSugarCore.MySqlConnector原因是啥呢,就目前而言,我的项目还是使用了SqlSugarCore类库,并没有使用SqlSugarCore.MySqlConnector类库

    0 回复
  • @fate sta:这个提示表不存在的问题,我另外发了个提问,https://www.donet5.com/Ask/9/14425 ,是数据库上下文变了,而且库也发生了变化

    0 回复